#include <iostream>
#include <vector>
#include <sstream>
#include <cmath>


int main(int, char**) {

    size_t terraces;
    {
        std::string line;
        std::getline(std::cin, line);
        terraces = std::stol(line);
    }
    std::vector<int> heights;
    heights.reserve(terraces);

    {
        std::string line;
        std::getline(std::cin, line);
        std::stringstream ss(line);

        for (size_t i = 0; i < terraces; ++i) {
            int tmp;
            ss >> tmp;
            heights.emplace_back(terraces);
        }
    }

    std::vector<std::pair<int, int>> considered;
    std::vector<size_t> toRemove;
    considered.reserve(terraces);
    toRemove.reserve(terraces);
    size_t total = 0;

    for (size_t i = 0; i < heights.size(); ++i) {
        toRemove.clear(); 

        for (size_t i2 = 0; i2 < considered.size(); ++i2) {
            auto & pair = considered[i2];
            if (heights[pair.first] < heights[i]) {
                toRemove.emplace_back(i2);
            } else if (heights[pair.first] == heights[i]) {
                total += std::max(0, pair.second);
                toRemove.emplace_back(i2);
            } else {
                pair.second += 1;
            }
        }

        considered.emplace_back(i, 0);

        decltype(considered) next;
        next.reserve(considered.size());
        size_t removed = 0;
        if (not toRemove.empty()) {
            for (size_t c = 0; c < considered.size(); ++c) {
                if (c == toRemove[removed]) {
                    ++removed;
                } else {
                    next.emplace_back(considered[c]);
                }
            }
        }

        considered = std::move(next);
    }

    std::cout << total << std::endl;

}

